package corporate_handlers

import (
	"cpone/utils"
	corporate_patient "cpone/views/corporate/patient"

	"github.com/labstack/echo/v4"
)

type PatientService interface {
}

func NewPatientHandler(us PatientService) *PatientHandler {
	return &PatientHandler{
		PatientService: us,
	}
}

type PatientHandler struct {
	PatientService PatientService
}

func (uh *PatientHandler) ShowPatient(c echo.Context) error {
	helo := corporate_patient.Show()
	return utils.View(c, helo)
}
